# req-parser
[![npm dependents](https://badgen.net/npm/dependents/req-parser)](https://www.npmjs.com/package/req-parser?activeTab=dependents)
[![install size](https://packagephobia.com/badge?p=req-parser)](https://packagephobia.com/result?p=req-parser)
[![Downloads](https://badgen.net/npm/dt/req-parser)](https://www.npmjs.com/package/req-parser)
[![NPM Version](https://img.shields.io/npm/v/code-example.svg)](https://www.npmjs.com/package/req-parser)
[![run on repl.it](https://img.shields.io/badge/Run_on_Replit-f26207?logo=replit&logoColor=white)](https://replit.com/github/tyler-github/req-parser-example)
------------

A lightweight and flexible middleware for parsing the request body in Express.

## Installation

Install with npm:

```bash
npm install req-parser
```

## Usage

```js
const express = require("express");
const bodyParser = require("req-parser");

const app = express();

// Use bodyParser middleware
app.use(bodyParser);

// Handle POST requests
app.post("/", (req, res) => {
  console.log(req.body);
  res.send("Got it!");
});

app.listen(3000, () => {
  console.log("Server listening on port 3000");
});
```

Options
The middleware automatically detects the content type of the request body and parses it accordingly. Supported content types are:

- application/json
- application/x-www-form-urlencoded
- any other content type (treated as plain text)

License
ISC
