function bodyParser(req, res, next) {
    let body = "";
    req.on("data", chunk => {
      body += chunk.toString();
    });
    req.on("end", () => {
      const contentType = req.headers["content-type"];
      if (contentType && contentType.startsWith("application/json")) {
        req.body = JSON.parse(body);
      } else if (contentType && contentType.startsWith("multipart/form-data")) {
        // use a separate package like multer for multipart form data
        next();
        return;
      } else if (contentType && contentType.startsWith("application/x-www-form-urlencoded")) {
        req.body = new URLSearchParams(body);
      } else {
        req.body = body;
      }
      next();
    });
  }
  
  module.exports = bodyParser;
  